Gnome XML Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# xmlregexp

## Name

xmlregexp --

## Synopsis

    struct      xmlRegexp;
    typedef     xmlRegexpPtr;
    struct      xmlRegExecCtxt;
    typedef     xmlRegExecCtxtPtr;
    xmlRegexpPtr xmlRegexpCompile               (const xmlChar *regexp);
    void        xmlRegFreeRegexp                (xmlRegexpPtr regexp);
    int         xmlRegexpExec                   (xmlRegexpPtr comp,
                                                 const xmlChar *value);
    void        xmlRegexpPrint                  (FILE *output,
                                                 xmlRegexpPtr regexp);
    int         xmlRegexpIsDeterminist          (xmlRegexpPtr comp);
    void        (*xmlRegExecCallbacks)          (xmlRegExecCtxtPtr exec,
                                                 const xmlChar *token,
                                                 void *transdata,
                                                 void *inputdata);
    xmlRegExecCtxtPtr xmlRegNewExecCtxt         (xmlRegexpPtr comp,
                                                 xmlRegExecCallbacks callback,
                                                 void *data);
    void        xmlRegFreeExecCtxt              (xmlRegExecCtxtPtr exec);
    int         xmlRegExecPushString            (xmlRegExecCtxtPtr exec,
                                                 const xmlChar *value,
                                                 void *data);

## Description

## Details

### struct xmlRegexp

    struct xmlRegexp;

### xmlRegexpPtr

A libxml regular expression, they can actually be far more complex thank the POSIX regex expressions.

### struct xmlRegExecCtxt

    struct xmlRegExecCtxt;

### xmlRegExecCtxtPtr

A libxml progressive regular expression evaluation context

### xmlRegexpCompile ()

    xmlRegexpPtr xmlRegexpCompile               (const xmlChar *regexp);

Parses a regular expression conforming to XML Schemas Part 2 Datatype Appendix F and build an automata suitable for testing strings against that regular expression

`regexp` : |
Returns : |

### xmlRegFreeRegexp ()

    void        xmlRegFreeRegexp                (xmlRegexpPtr regexp);

Free a regexp

`regexp` : |

### xmlRegexpExec ()

    int         xmlRegexpExec                   (xmlRegexpPtr comp,
                                                 const xmlChar *value);

Check if the regular expression generate the value

`comp` : |
`value` : |
Returns : |

### xmlRegexpPrint ()

    void        xmlRegexpPrint                  (FILE *output,
                                                 xmlRegexpPtr regexp);

Print the content of the compiled regular expression

`output` : |
`regexp` : |

### xmlRegexpIsDeterminist ()

    int         xmlRegexpIsDeterminist          (xmlRegexpPtr comp);

Check if the regular expression is determinist

`comp` : |
Returns : |

### xmlRegExecCallbacks ()

    void        (*xmlRegExecCallbacks)          (xmlRegExecCtxtPtr exec,
                                                 const xmlChar *token,
                                                 void *transdata,
                                                 void *inputdata);

`exec` : |
`token` : |
`transdata` : |
`inputdata` : |

### xmlRegNewExecCtxt ()

    xmlRegExecCtxtPtr xmlRegNewExecCtxt         (xmlRegexpPtr comp,
                                                 xmlRegExecCallbacks callback,
                                                 void *data);

Build a context used for progressive evaluation of a regexp.

`comp` : |
`callback` : |
`data` : |
Returns : |

### xmlRegFreeExecCtxt ()

    void        xmlRegFreeExecCtxt              (xmlRegExecCtxtPtr exec);

Free the structures associated to a regular expression evaulation context.

`exec` : |

### xmlRegExecPushString ()

    int         xmlRegExecPushString            (xmlRegExecCtxtPtr exec,
                                                 const xmlChar *value,
                                                 void *data);

Push one input token in the execution context

`exec` : |
`value` : |
`data` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
xmlmemory | xmlautomata